Name:           perl-Email-ARF
Version:        0.011
Release:        1%{?dist}
Summary:        Interpret Abuse Reporting Format (ARF) messages
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-ARF/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-ARF-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Email::MIME) >= 1.900 perl(Email::MIME::ContentType) >= 1.016 
BuildRequires:  perl(Email::MIME::Creator) perl(Params::Util) perl(Capture::Tiny)
BuildRequires:  perl(Test::Pod) perl(ExtUtils::MakeMaker)
BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
ARF, the Abuse Feedback Report Format, is used to report email abuse
incidents to an email provider. It includes mechanisms for providing
machine-readable details about the incident, a human-readable
description, and a copy of the offending message.

%prep
%setup -q -n Email-ARF-%{version}

# Fix character encoding in documentation
iconv -f iso-8859-1 -t utf-8 < Changes > Changes.utf8
mv Changes.utf8 Changes

%build
# the extended tests cannot be run without an IMAP server
yes n | %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3*

%changelog
* Wed Feb  9 2022 Brian J. Murrell <brian@interlinx.bc.ca> - 0.011-1
- Update to new upstream release
- Add BR: perl(ExtUtils::MakeMaker)

* Wed Dec  7 2016 Brian J. Murrell <brian@interlinx.bc.ca> - 0.010-1
- Initial package for EL7
